From: "Andrew Ammerlaan" <andrewammerlaan@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sci-electronics/gtkwave/
Date: Fri, 26 Aug 2022 09:19:49 +0000 (UTC) [thread overview]
Message-ID: <1661505453.4fe04c90199e58e52d404f7c20a400d8ca79d475.andrewammerlaan@gentoo> (raw)
commit: 4fe04c90199e58e52d404f7c20a400d8ca79d475
Author: Jan Vesely <jano.vesely <AT> gmail <DOT> com>
AuthorDate: Wed Aug 3 16:09:29 2022 +0000
Commit: Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Fri Aug 26 09:17:33 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4fe04c90
sci-electronics/gtkwave: Bump to 3.3.111. Use gtk3
Use gtk3-fied source archive (gtkwave-gtk3).
Use gtk3 instead of gtk2 and switch the dependency.
Drop no longer supported configure options (and fatlines useflag).
Closes: https://bugs.gentoo.org/856829
Bug: https://bugs.gentoo.org/856829
Signed-off-by: Jan Vesely <jano.vesely <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/26726
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> gentoo.org>
sci-electronics/gtkwave/Manifest | 1 +
sci-electronics/gtkwave/gtkwave-3.3.111.ebuild | 65 ++++++++++++++++++++++++++
2 files changed, 66 insertions(+)
diff --git a/sci-electronics/gtkwave/Manifest b/sci-electronics/gtkwave/Manifest
index 3f066ed6fcd4..35b040d142ab 100644
--- a/sci-electronics/gtkwave/Manifest
+++ b/sci-electronics/gtkwave/Manifest
@@ -1 +1,2 @@
DIST gtkwave-3.3.106.tar.gz 3507185 BLAKE2B 89389c6eef2fb80b82b048fc94248cf6b30ec0d8fea1260189f2ea1f143123e0294d00f93a0c25f777b6e2c188041af16f4e26e5206e0c65fe23c1f058b19186 SHA512 4deec8dc88210ae542b8066763265450530756d34babf10c7820fe27b23d01e6d2f084ec74b7b0730a645fcb667ba3c0d2dcfb4111e702a523805041dc96768a
+DIST gtkwave-gtk3-3.3.111.tar.gz 3329907 BLAKE2B 523c5b3cb75581d9828d6a1e61df66a0a85ccc41415c9971affaf347948bc7a3b7850cf8abe4f3e57dab56d2f54722a121a8d3b757993d008e1598e4f2ce8843 SHA512 407c1ca87d9645940201c876846e7e6f5e4af67b919a4f63061adc017b2797be5ba10bb9bf132f1b86dff111a64b774e41b8b1630fc99997b5270622eda44c0c
diff --git a/sci-electronics/gtkwave/gtkwave-3.3.111.ebuild b/sci-electronics/gtkwave/gtkwave-3.3.111.ebuild
new file mode 100644
index 000000000000..03f37de374ef
--- /dev/null
+++ b/sci-electronics/gtkwave/gtkwave-3.3.111.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs xdg
+
+DESCRIPTION="A wave viewer for LXT, LXT2, VZT, GHW and standard Verilog VCD/EVCD files"
+HOMEPAGE="http://gtkwave.sourceforge.net/"
+SRC_URI="mirror://sourceforge/${PN}/${PN}-gtk3-${PV}.tar.gz"
+
+LICENSE="GPL-2 MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc examples fasttree judy lzma packed tcl"
+
+RDEPEND="
+ dev-libs/glib:2
+ sys-libs/zlib
+ x11-libs/pango
+ x11-libs/gtk+:3
+ judy? ( dev-libs/judy )
+ tcl? ( dev-lang/tcl:0 dev-lang/tk:0 )
+ lzma? ( app-arch/xz-utils )"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ dev-util/gperf
+ virtual/pkgconfig"
+
+# Add '-gtk3-' to the pacakge name
+S="${WORKDIR}/${PN}-gtk3-${PV}"
+
+src_prepare() {
+ default
+
+ # do not install doc and examples by default
+ sed -i -e 's/doc examples//' Makefile.in || die
+}
+
+src_configure() {
+ econf \
+ --disable-mime-update \
+ --enable-largefile \
+ --enable-gtk3 \
+ $(use_enable packed struct-pack) \
+ $(use_enable tcl) \
+ $(use_enable lzma xz) \
+ $(use_enable fasttree) \
+ $(use_enable judy)
+}
+
+src_compile() {
+ emake AR="$(tc-getAR)"
+}
+
+src_install() {
+ default
+
+ use doc && dodoc doc/${PN}.odt
+ if use examples; then
+ rm examples/Makefile* || die
+ dodoc -r examples
+ docompress -x /usr/share/doc/${PF}/examples
+ fi
+}
next reply other threads:[~2022-08-26 9:19 UTC|newest]
Thread overview: 15+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-08-26 9:19 Andrew Ammerlaan [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-10 22:43 [gentoo-commits] repo/gentoo:master commit in: sci-electronics/gtkwave/ Sam James
2024-12-01 12:12 Sam James
2023-06-25 3:13 Sam James
2022-08-26 11:33 Andrew Ammerlaan
2020-10-03 16:20 David Seifert
2020-10-03 16:20 David Seifert
2019-02-16 13:27 Virgil Dupras
2018-01-17 16:01 Thomas Beierlein
2016-07-24 11:11 Thomas Beierlein
2016-01-06 13:34 Agostino Sarubbo
2016-01-02 16:28 Agostino Sarubbo
2015-11-30 18:31 Thomas Beierlein
2015-11-30 18:29 Thomas Beierlein
2015-09-07 13:46 Thomas Beierlein
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1661505453.4fe04c90199e58e52d404f7c20a400d8ca79d475.andrewammerlaan@gentoo \
--to=andrewammerlaan@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox